%global momorel 3

Summary: Graph Visualization Tools
Name: graphviz
Version: 1.9
Release: %{momorel}m
Group: Applications/Engineering
License: see "COPYING"
URL: http://www.graphviz.org/
Source0: http://www.graphviz.org/pub/graphviz/ARCHIVE/graphviz-1.9.tar.gz
NoSource: 0

Patch0: graphviz-1.9-tclstubs.patch
Patch1: graphviz-1.9-tkstubs.patch

BuildPreReq: w3m
BuildRequires: flex, bison, expat-devel, curl-devel, tcl, tk
BuildRequires: freetype2-devel, libjpeg-devel, XFree86-devel
BuildRequires: libpng-devel >= 1.2.2
BuildRequires: zlib-devel >= 1.1.4-5m
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Conflicts: gc-devel <= 6.2-5m

%description
A collection of tools and tcl packages for the manipulation and layout
of graphs (as in nodes and edges, not as in barcharts).

%package demo
Summary: Demo graphs for graphviz
Group: Applications/Engineering
Requires: %{name} = %{version}-%{release}

%description demo
This package provides some example graphs for graphviz.

%package tcltk
Summary: TclTk extension tools for graphviz
Group: Applications/Engineering
Requires: %{name} = %{version}-%{release}

%description tcltk
The graphviz-tcl package contains the various tcl packages
(extensions) for the graphviz tools.

%package devel
Summary: Development tools for graphviz
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The graphviz-devel package contains the header files and man3 pages
necessary for developing programs using the graphviz libraries.

%prep
%setup -q

%patch0 -p1 -b .tclstubs
%patch1 -p1 -b .tkstubs

mv configure.in configure.in.orig
sed -e 's/AC_CANONICAL_SYSTEM/AC_CANONICAL_HOST/' \
    < configure.in.orig \
    > configure.in
mv autogen.sh autogen.sh.orig
sed -e 's/lynx/w3m/' \
    < autogen.sh.orig \
    > autogen.sh
chmod u+x autogen.sh
./autogen.sh

%build
%configure \
  --enable-static --enable-shared \
  --with-x # --with-dynagraph
make

%install
[ "%{buildroot}" = '/' ] || %__rm -rf %{buildroot}
%makeinstall includedir=%{buildroot}%{_includedir}/graphviz

%clean
[ "%{buildroot}" = '/' ] || %__rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post tcltk -p /sbin/ldconfig

%postun tcltk -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog* NEWS FAQ.txt MINTERMS.txt LICENSE.html doc
%{_bindir}/*
%dir %{_datadir}/graphviz
%dir %{_libdir}/graphviz
%{_libdir}/graphviz/libagraph.so.*
%{_libdir}/graphviz/libcdt.so.*
%{_libdir}/graphviz/libdotneato.so.*
%{_libdir}/graphviz/libexpr.so.*
%{_libdir}/graphviz/libgraph.so.*
%{_libdir}/graphviz/libpack.so.*
%{_libdir}/graphviz/libpathplan.so.*
%{_mandir}/man1/*.1*

%files demo
%defattr(-, root, root)
%{_datadir}/graphviz/demo
%{_datadir}/graphviz/graphs
%{_datadir}/graphviz/lefty

%files tcltk
%defattr(-, root, root)
%{_libdir}/graphviz/libgdtclft.so.*
%{_libdir}/graphviz/libtcldgl.so.*
%{_libdir}/graphviz/libtcldgr.so.*
%{_libdir}/graphviz/libtcldot.so.*
%{_libdir}/graphviz/libtclplan.so.*
%{_libdir}/graphviz/libtkspline.so.*
%{_libdir}/graphviz/pkgIndex.tcl
%{_mandir}/mann/*.n*

%files devel
%defattr(-, root, root)
%{_includedir}/graphviz
%{_libdir}/graphviz/*.*a
%{_libdir}/graphviz/*.so
%{_mandir}/man3/*.3*

%changelog
* Mon Nov 10 2003 zunda <zunda at freeshell.org>
- (1.9-3m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Mon Jun 23 2003 Kenta MURATA <muraken2@nifty.com>
- (1.9-2m)
- add Conflicts: gc-devel <= 6.2-5m.

* Sun Jun 22 2003 Kenta MURATA <muraken2@nifty.com>
- (1.9-1m)
- first specfile.
